%define pear_name HTML_Template_Flexy

Name: pear-HTML_Template_Flexy
Version: 1.2.5
Release: alt2

Summary: An extremely powerful Tokenizer driven Template engine

License: PHP License
Group: Development/Other
Url: http://pear.php.net/package/HTML_Template_Flexy

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://pear.php.net/get/HTML_Template_Flexy-%version.tar.bz2

BuildArchitectures: noarch

Requires: pear-core
BuildRequires: pear-core rpm-build-pear

Requires: php >= 4.3

%description
HTML_Template_Flexy started it's life as a simplification of
HTML_Template_Xipe,
however in Version 0.2, It became one of the first template engine to use
a real Lexer,
rather than regex'es, making it possible to do things like ASP.net or Cold
Fusion tags.
However, it still has a very simple set of goals.
- Very Simple API,
   o easy to learn...
   o prevents to much logic going in templates
- Easy to write document'able code
   o By using object vars for a template rather than 'assign', you
     can use phpdoc comments to list what variable you use.
- Editable in WYSIWYG editors
   o you can create full featured templates, that doesnt get broken every
time you edit with
     Dreamweaver(tm) or Mozilla editor
   o Uses namespaced attributes to add looping/conditionals
- Extremely Fast,
   o runtime is at least 4 time smaller than most other template engines
(eg. Smarty)
   o uses compiled templates, as a result it is many times faster on
blocks and loops than
     than Regex templates (eg. IT/phplib)
- Safer (for cross site scripting attacks)
   o All variables default to be output as HTML escaped (overridden with
the :h modifier)
- Multilanguage support
   o Parses strings out of template, so you can build translation tools
   o Compiles language specific templates (so translation is only done
once, not on every request)
- Full dynamic element support (like ASP.NET), so you can pick elements to
replace at runtime

Features:
- {variable} to echo $object->variable
- {method()} to echo $object->method();
- {foreach:var,key,value} to PHP foreach loops
- tag attributes FLEXY:FOREACH, FLEXY:IF for looping and conditional HTML
inclusion
- {if:variable} to PHP If statement
- {if:method()} to PHP If statement
- {else:} and {end:} to close or alternate If statements
- FORM to HTML_Template_Flexy_Element's
- replacement of INPUT, TEXTAREA and SELECT tags with
HTML_Template_Flexy_Element code
  use FLEXY:IGNORE (inherited) and FLEXY:IGNOREONLY (single) to prevent
replacements
- FLEXY:START/FLEXY:STARTCHILDREN tags to define where template
starts/finishes
- support for urlencoded braces {} in HTML attributes.
- documentation in the pear manual

- examples at http://cvs.php.net/cvs.php/pear/HTML_Template_Flexy/tests/

%prep
%setup -c

%build
%pear_build

%install
%pear_install_std

%post
%register_pear_module

%preun
%unregister_pear_module

%files
%doc LICENSE CHANGELOG
%pear_dir/HTML
%pear_testdir/HTML_Template_Flexy/
%pear_xmldir/%pear_name.xml

%changelog
* Thu Jan 10 2008 Vitaly Lipatov <lav@altlinux.ru> 1.2.5-alt2
- update according to rpm-build-pear 0.3

* Sat Jan 05 2008 Vitaly Lipatov <lav@altlinux.ru> 1.2.5-alt1
- initial build for ALT Linux Sisyphus

